package com.atlassian.bitbucket.mesh;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public class DataSourceProperties {

    private final String password;
    private final String url;
    private final String user;

    public DataSourceProperties(@Nonnull String url, @Nonnull String user, @Nonnull String password) {
        this.password = requireNonNull(password, "password");
        this.url = requireNonNull(url, "url");
        this.user = requireNonNull(user, "user");
    }

    @Nonnull
    public String getPassword() {
        return password;
    }

    @Nonnull
    public String getUrl() {
        return url;
    }

    @Nonnull
    public String getUser() {
        return user;
    }
}
